interactions:
- request:
    body: '{"max_tokens":4096,"messages":[{"role":"user","content":"What is the weather in Tokyo? Use the get_weather tool."}],"model":"claude-sonnet-4-5","stream":false,"tools":[{"name":"get_weather","description":"Get the current weather in a given location","input_schema":{"type":"object","properties":{"location":{"type":"string","description":"The city and state, e.g. San Francisco, CA"},"unit":{"type":"string","enum":["celsius","fahrenheit"],"description":"The unit of temperature"}},"required":["location"]}}]}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate, zstd
      anthropic-version:
      - '2023-06-01'
      connection:
      - keep-alive
      content-length:
      - '509'
      content-type:
      - application/json
      host:
      - api.anthropic.com
      user-agent:
      - Anthropic/Python 0.71.0
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 0.71.0
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
      x-stainless-timeout:
      - NOT_GIVEN
    method: POST
    uri: https://api.anthropic.com/v1/messages
  response:
    body:
      string: '{"model":"claude-sonnet-4-5-20250929","id":"msg_01UQPr1SfGJVPcxDVzAQ6tRg","type":"message","role":"assistant","content":[{"type":"tool_use","id":"toolu_01Eobgw8gDD6KegYJz1iyYC7","name":"get_weather","input":{"location":"Tokyo"}}],"stop_reason":"tool_use","stop_sequence":null,"usage":{"input_tokens":620,"cache_creation_input_tokens":0,"cache_read_input_tokens":0,"cache_creation":{"ephemeral_5m_input_tokens":0,"ephemeral_1h_input_tokens":0},"output_tokens":53,"service_tier":"standard"}}'
    headers:
      CF-RAY:
      - 9a4c0d75ba3d6800-SJC
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Wed, 26 Nov 2025 20:14:34 GMT
      Server:
      - cloudflare
      Transfer-Encoding:
      - chunked
      X-Robots-Tag:
      - none
      anthropic-organization-id:
      - 32982f3d-354e-4063-a1d9-6e3e0361bcfe
      anthropic-ratelimit-input-tokens-limit:
      - '30000'
      anthropic-ratelimit-input-tokens-remaining:
      - '30000'
      anthropic-ratelimit-input-tokens-reset:
      - '2025-11-26T20:14:33Z'
      anthropic-ratelimit-output-tokens-limit:
      - '8000'
      anthropic-ratelimit-output-tokens-remaining:
      - '8000'
      anthropic-ratelimit-output-tokens-reset:
      - '2025-11-26T20:14:34Z'
      anthropic-ratelimit-requests-limit:
      - '50'
      anthropic-ratelimit-requests-remaining:
      - '49'
      anthropic-ratelimit-requests-reset:
      - '2025-11-26T20:14:32Z'
      anthropic-ratelimit-tokens-limit:
      - '38000'
      anthropic-ratelimit-tokens-remaining:
      - '38000'
      anthropic-ratelimit-tokens-reset:
      - '2025-11-26T20:14:33Z'
      cf-cache-status:
      - DYNAMIC
      request-id:
      - req_011CVX7YqtSMhTjqLnjZvaj1
      retry-after:
      - '28'
      strict-transport-security:
      - max-age=31536000; includeSubDomains; preload
      x-envoy-upstream-service-time:
      - '2874'
    status:
      code: 200
      message: OK
- request:
    body: '{"max_tokens":4096,"messages":[{"role":"user","content":"What is the weather in Tokyo? Use the get_weather tool."},{"role":"assistant","content":[{"type":"tool_use","id":"toolu_01Eobgw8gDD6KegYJz1iyYC7","name":"get_weather","input":{"location":"Tokyo"}}]},{"role":"user","content":[{"type":"tool_result","tool_use_id":"toolu_01Eobgw8gDD6KegYJz1iyYC7","content":"The weather in Tokyo is sunny and 72°F"}]}],"model":"claude-sonnet-4-5","stream":false,"tools":[{"name":"get_weather","description":"Get the current weather in a given location","input_schema":{"type":"object","properties":{"location":{"type":"string","description":"The city and state, e.g. San Francisco, CA"},"unit":{"type":"string","enum":["celsius","fahrenheit"],"description":"The unit of temperature"}},"required":["location"]}}]}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate, zstd
      anthropic-version:
      - '2023-06-01'
      connection:
      - keep-alive
      content-length:
      - '800'
      content-type:
      - application/json
      host:
      - api.anthropic.com
      user-agent:
      - Anthropic/Python 0.71.0
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 0.71.0
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
      x-stainless-timeout:
      - NOT_GIVEN
    method: POST
    uri: https://api.anthropic.com/v1/messages
  response:
    body:
      string: '{"model":"claude-sonnet-4-5-20250929","id":"msg_01FdjmKBowY2wGSJH1CexRGq","type":"message","role":"assistant","content":[{"type":"text","text":"The weather in Tokyo is currently sunny and 72°F (approximately 22°C)."}],"stop_reason":"end_turn","stop_sequence":null,"usage":{"input_tokens":697,"cache_creation_input_tokens":0,"cache_read_input_tokens":0,"cache_creation":{"ephemeral_5m_input_tokens":0,"ephemeral_1h_input_tokens":0},"output_tokens":22,"service_tier":"standard"}}'
    headers:
      CF-RAY:
      - 9a4c0d886f9e6800-SJC
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Wed, 26 Nov 2025 20:14:36 GMT
      Server:
      - cloudflare
      Transfer-Encoding:
      - chunked
      X-Robots-Tag:
      - none
      anthropic-organization-id:
      - 32982f3d-354e-4063-a1d9-6e3e0361bcfe
      anthropic-ratelimit-input-tokens-limit:
      - '30000'
      anthropic-ratelimit-input-tokens-remaining:
      - '30000'
      anthropic-ratelimit-input-tokens-reset:
      - '2025-11-26T20:14:36Z'
      anthropic-ratelimit-output-tokens-limit:
      - '8000'
      anthropic-ratelimit-output-tokens-remaining:
      - '8000'
      anthropic-ratelimit-output-tokens-reset:
      - '2025-11-26T20:14:36Z'
      anthropic-ratelimit-requests-limit:
      - '50'
      anthropic-ratelimit-requests-remaining:
      - '49'
      anthropic-ratelimit-requests-reset:
      - '2025-11-26T20:14:35Z'
      anthropic-ratelimit-tokens-limit:
      - '38000'
      anthropic-ratelimit-tokens-remaining:
      - '38000'
      anthropic-ratelimit-tokens-reset:
      - '2025-11-26T20:14:36Z'
      cf-cache-status:
      - DYNAMIC
      request-id:
      - req_011CVX7Z4is92Sz8oA63UNxC
      retry-after:
      - '26'
      strict-transport-security:
      - max-age=31536000; includeSubDomains; preload
      x-envoy-upstream-service-time:
      - '2240'
    status:
      code: 200
      message: OK
version: 1
